import android.content.Context
import android.util.Log
import com.example.what_the_fantasy.data.model.User

class LogsUsers(private val context: Context) {

    private fun isDebug(): Boolean {
        return (context.applicationInfo.flags and android.content.pm.ApplicationInfo.FLAG_DEBUGGABLE) != 0
    }

    fun logDebugAllUsers(users: List<User>, titleLog: String) {
        if (isDebug()) {
            for (user in users) {
                Log.d(titleLog, "User created: ${user.username} => ${user.email} => ${user.imgUrl} => ${user.langage}")
            }
        }
    }

    fun logDebugUserEmail(user: User?, titleLog: String) {
        if (isDebug()) {
            Log.d(titleLog, "User email: ${user?.username} => ${user?.email}")
        }
    }

    fun logDebugUserLangage(user: User?, titleLog: String) {
        if (isDebug()) {
            Log.d(titleLog, "User language change: ${user?.username} => ${user?.langage}")
        }
    }

    fun logInformationUserConnect(user: User?, titleLog: String) {
        if (isDebug()) {
            Log.i(titleLog, "${user?.username} logged in")
        }
    }

    fun unlogInformationUserConnect(titleLog: String) {
        if (isDebug()) {
            Log.i(titleLog, "Logged out")
        }
    }
}
